AngleToString Method

Back to Methods Reference

Converts an angle from a real (double) value to a string.

Signature

VBA : RetVal = object.AngleToString(Angle, Unit, Precision)

VL : RetVal = (vla-AngleToString object Angle Unit Precision)

(vla-AngleToString util a acdegrees 3)

  • Object :Utility
    The object or objects this method applies to.

  • Angle : Double; input-only

  • Unit : AcAngleUnits enum; input-only
    acDegrees
    acDegreeMinuteSeconds
    acGrads
    acRadians

  • Precision : Integer; input-only
    The precision of the angle. An integer between 0 and 8.

  • RetVal : String
    The angle as a string.

Example :


(defun c:al-angletostring ()

(vl-load-com)

(setq util (vla-get-utility 
                   (vla-get-activedocument 
                        (vlax-get-acad-object))))

(setq bpt (vla-getpoint util nil "\nSelect Base Point: "))

(setq a (vla-getangle util bpt "\nSelect Angle: "))

(setq thestring (vla-AngleToString util a acdegrees 3))

(princ thestring)

(princ)

);defun

 
The AutoLisp/Visual Lisp/VBA Resource Website
Google
Search the WWW Search AfraLisp

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website